Subject: mplsInSegmentNPop

From: "Vijayanand C" <[email-masked]>
Date: Mon, 4 Jun 2001 10:59:33 +0530

Hello all,
I have a question regarding LSR MIB.

In MplsInSegmentEntry there is an object mplsInSegmentNPop which seems to
indicate the number of labels to pop, which is usually 1. Can anyone tell me
a situation where we need to pop more than 1 label before deciding what to
do or before looking at the cross-connect for the top label? There is a
cross-connect and out segment entry associated with each insegment enbtry,
using which we can determine whether the label has to be popped/swapped etc.
Also, if we always pop say 2 labels for a particular top label, then what is
the significance of the second label.

Please correct me of I am wrong.

Regards,
Vijay